### Virtual Method

# Phosh GeoClueDBusOrgFreedesktopGeoClue2Agent handle_authorize_app

#### Declaration [src]

    gboolean
    handle_authorize_app (
      PhoshGeoClueDBusOrgFreedesktopGeoClue2Agent* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_desktop_id,
      guint arg_req_accuracy_level
    )

#### Description [src]

Handler for the `PhoshGeoClueDBusOrgFreedesktopGeoClue2Agent::handle-authorize-app` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`arg_desktop_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_req_accuracy_level`

  Type: `guint`

  No description available.

#### Return value

Type: `gboolean`

No description available.